
Name:             grig
Version:          0.8.0
Release:          %mkrel 5
Summary:          A Ham Radio Control graphical user interface

Group:            Communications/Radio
License:          GPLv2+
URL:              http://groundstation.sourceforge.net/grig/
Source0:          http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.gz
Patch1:           grig-0.8.0-automake-1.13.patch

BuildRequires:    hamlib-devel
BuildRequires:    gtk2-devel
BuildRequires:    desktop-file-utils
BuildRequires:    gettext-devel
BuildRequires:    intltool

Requires:         hamlib

Suggests:         hamlib-utils

%description
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.

%prep
%setup -q
%patch1 -p1 -b .automake-1_13

%build
autoreconf -fi
intltoolize -f -c
%configure2_5x --disable-dependency-tracking
%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_iconsdir}
cp -T %{buildroot}%{_datadir}/pixmaps/grig/ic910.png %{buildroot}%{_iconsdir}/grig.png

# Desktop file
install -d %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Name=Grig
Comment=Amateur Radio Rig Control
StartupNotify=true
Categories=AudioVideo;Audio;HamRadio;X-Mageia-CrossDesktop;

EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-5.mga3
+ Revision: 352625
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.8.0-4.mga3
+ Revision: 339128
- patch1: fix build with automake 1.13
- use autoreconf+intltoolize and configure2_5x

* Fri Sep 28 2012 barjac <barjac> 0.8.0-3.mga3
+ Revision: 299036
- Changed group to new policy

* Fri Jan 06 2012 barjac <barjac> 0.8.0-2.mga2
+ Revision: 192559
- Edit to .desktop in spec

* Thu Jan 05 2012 barjac <barjac> 0.8.0-1.mga2
+ Revision: 191930
- Cleaned
- Removed un-needed versioned build requires
- Corrected BuildRequire: gettext to gettext-devel
- Moved desktop file from SOURCES to spec file
- Removed now un-needed Requires(post/un): desktop-file-utils
- Added Requires: hamlib as it's useless without it
- Added Suggests: hamlib-utils
- Added aclocal; autoconf
- Used macros for make and makeinstall
- Copied renamed icon to %%{_iconsdir }
- imported package grig

